Loading...
Searching...
No Matches
CountedRefIndirectPtr< PtrType > Class Template Reference

`#include <countedref.h>`

## Public Member Functions

| ~CountedRefIndirectPtr ()
Public Member Functions inherited from RefCounter
| RefCounter (...)
| Any Constructor resets the counter.
| ~RefCounter ()
| Destructor.

## Private Member Functions

| CountedRefIndirectPtr (PtrType ptr)
CountedRefIndirectPtr & | operator= (PtrType ptr)

## Private Attributes

PtrType | m_ptr

## Friends

class | CountedRefWeakPtr< PtrType >

## Additional Inherited Members

Public Types inherited from RefCounter
typedef short | count_type
| Name numerical type for enumbering.

## Detailed Description

template<class PtrType>
class CountedRefIndirectPtr< PtrType >

Definition at line 137 of file countedref.h.

## Constructor & Destructor Documentation

## ~CountedRefIndirectPtr()

template<class PtrType>

CountedRefIndirectPtr< PtrType >::~CountedRefIndirectPtr | ( |  | ) |

inline

Definition at line 141 of file countedref.h.

{ }

## CountedRefIndirectPtr()

template<class PtrType>

CountedRefIndirectPtr< PtrType >::CountedRefIndirectPtr | ( | PtrType | ptr | ) |

inline private

Definition at line 144 of file countedref.h.

: m_ptr(ptr) { }
CountedRefIndirectPtr
Definition countedref.h:138
CountedRefIndirectPtr::m_ptr
PtrType m_ptr
Definition countedref.h:147

## Member Function Documentation

## operator=()

template<class PtrType>

CountedRefIndirectPtr & CountedRefIndirectPtr< PtrType >::operator= | ( | PtrType | ptr | ) |

inline private

Definition at line 145 of file countedref.h.

{ m_ptr = ptr; return *this; }

## Friends And Related Symbol Documentation

## CountedRefWeakPtr< PtrType >

template<class PtrType>

friend class CountedRefWeakPtr< PtrType >

friend

Definition at line 129 of file countedref.h.

## Field Documentation

## m_ptr

template<class PtrType>

PtrType CountedRefIndirectPtr< PtrType >::m_ptr

private

Definition at line 147 of file countedref.h.

The documentation for this class was generated from the following file:

- Singular/countedref.h